VAJLoad (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.ide.VAJLoad class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ide
Class VAJLoad

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.ide.VAJTask
                  org.apache.tools.ant.taskdefs.optional.ide.VAJLoad

Direct Known Subclasses:
  VAJLoadProjects

public class VAJLoad
extends VAJTask

Load project versions into the Visual Age for Java workspace. Each project is identified by its name and a version qualifier. Allowed qualifiers are:

- Any valid Visual Age version name
- * (loads the latest versioned edition)
- ** (loads the latest edition, including open editions)

Example:

> <vajload> <project name="MyVAProject" version="*"/> <project name="Apache Xerces" version="1.2.0"/> <project name="Brand New Stuff" version="**"/> </vajload>

Parameters:

Attribute | Description | Required
remote | remote tool server to run this command against (format: <servername> : <port no>) | No
haltonerror | stop the build process if an error occurs, defaults to "yes" | No

Author:
  Wolf Siberski, TUI Infotec GmbH, Martin Landers, Beck et al. projects

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJTask
`haltOnError, remoteServer`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`VAJLoad()`

Method Summary
`VAJProjectDescription` | `createVAJProject()` Add a project description entry on the project list.
`void` | `execute()` Load specified projects.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJTask
`getUtil, setHaltonerror, setRemote`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VAJLoad

    public VAJLoad()

Method Detail

### execute

    public void execute()

  Load specified projects.

  Overrides:
    `execute` in class `Task`

### createVAJProject

    public VAJProjectDescription createVAJProject()

  Add a project description entry on the project list.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.